LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Public Member Functions | List of all members
cppu::WeakImplHelper3< Ifc1, Ifc2, Ifc3 > Class Template Reference

Implementation helper implementing interfaces com::sun::star::lang::XTypeProvider and com::sun::star::uno::XInterface which supports weak mechanism to be held weakly (supporting com::sun::star::uno::XWeak thru cppu::OWeakObject). More...

`#include <implbase3.hxx>`

Inheritance diagram for cppu::WeakImplHelper3< Ifc1, Ifc2, Ifc3 >:

## Public Member Functions
virtual com::sun::star::uno::Any | queryInterface (com::sun::star::uno::Type const &rType) throw (com::sun::star::uno::RuntimeException)
virtual void | acquire () throw ()
| increasing m_refCount More...
virtual void | release () throw ()
| decreasing m_refCount More...
virtual com::sun::star::uno::Sequence < com::sun::star::uno::Type > | getTypes () throw (com::sun::star::uno::RuntimeException)
virtual com::sun::star::uno::Sequence < sal_Int8 > | getImplementationId () throw (com::sun::star::uno::RuntimeException)
Public Member Functions inherited from cppu::OWeakObject
| OWeakObject () throw ()
| Default Constructor. More...
| OWeakObject (const OWeakObject &rObj) throw ()
| Dummy copy constructor. More...
OWeakObject & | operator= (const OWeakObject &) throw ()
| Dummy assignment operator. More...
virtual ::com::sun::star::uno::Any | queryInterface (const ::com::sun::star::uno::Type &rType) throw (::com::sun::star::uno::RuntimeException)
| Basic queryInterface() implementation supporting ::com::sun::star::uno::XWeak and ::com::sun::star::uno::XInterface. More...
virtual ::com::sun::star::uno::Reference < ::com::sun::star::uno::XAdapter > | queryAdapter () throw (::com::sun::star::uno::RuntimeException)
| XWeak::queryAdapter() implementation. More...
| operator::com::sun::star::uno::Reference () throw ()
| Cast operator to XInterface reference. More...

## Additional Inherited Members
Protected Member Functions inherited from cppu::OWeakObject
virtual | ~OWeakObject () throw (::com::sun::star::uno::RuntimeException)
| Virtual dtor. More...
void | disposeWeakConnectionPoint ()
| disposes and resets m_pWeakConnectionPoint More...
Protected Attributes inherited from cppu::OWeakObject
oslInterlockedCount | m_refCount
| reference count. More...

## Detailed Description

### template<class Ifc1, class Ifc2, class Ifc3>
class cppu::WeakImplHelper3< Ifc1, Ifc2, Ifc3 >

Implementation helper implementing interfaces com::sun::star::lang::XTypeProvider and com::sun::star::uno::XInterface which supports weak mechanism to be held weakly (supporting com::sun::star::uno::XWeak thru cppu::OWeakObject).

Derive:

Inherit from this class giving your interface(s) to be implemented as template argument(s). Your sub class defines method implementations for these interface(s).

## Member Function Documentation

template<class Ifc1 , class Ifc2 , class Ifc3 >

virtual void cppu::WeakImplHelper3< Ifc1, Ifc2, Ifc3 >::acquire | ( |  | ) |
throw | ( |
| ) |  |
| inline virtual

increasing m_refCount

Reimplemented from cppu::OWeakObject.

template<class Ifc1 , class Ifc2 , class Ifc3 >

virtual com::sun::star::uno::Sequence< sal_Int8 > cppu::WeakImplHelper3< Ifc1, Ifc2, Ifc3 >::getImplementationId | ( |  | ) |
throw | ( | com::sun::star::uno::RuntimeException
| ) |  |
| inline virtual

template<class Ifc1 , class Ifc2 , class Ifc3 >

virtual com::sun::star::uno::Sequence< com::sun::star::uno::Type > cppu::WeakImplHelper3< Ifc1, Ifc2, Ifc3 >::getTypes | ( |  | ) |
throw | ( | com::sun::star::uno::RuntimeException
| ) |  |
| inline virtual

template<class Ifc1 , class Ifc2 , class Ifc3 >

virtual com::sun::star::uno::Any cppu::WeakImplHelper3< Ifc1, Ifc2, Ifc3 >::queryInterface | ( | com::sun::star::uno::Type const & | rType | ) |
throw | ( | com::sun::star::uno::RuntimeException
| ) |  |
| inline virtual

template<class Ifc1 , class Ifc2 , class Ifc3 >

virtual void cppu::WeakImplHelper3< Ifc1, Ifc2, Ifc3 >::release | ( |  | ) |
throw | ( |
| ) |  |
| inline virtual

decreasing m_refCount

Reimplemented from cppu::OWeakObject.

The documentation for this class was generated from the following file:

- cppuhelper/implbase3.hxx